//*****************************************************************************************************
//  1. t@C
//		RsuTaaTbl.cpp
//----------------------------------------------------------------------------------------------------
//  2. @\
//		RSUID-TAAIDΉe[uNX̎
//----------------------------------------------------------------------------------------------------
//  3. l
//----------------------------------------------------------------------------------------------------
//  4. 
//		2008.12.01 S.Aizawa VK쐬
//*****************************************************************************************************

#include "StdAfx.h"
#include "RsuTaaTbl.h"
#include "General.h"
#include "GlobalData.h"

// RSUID-TAAIDΉe[ũt@C
#define	FN_RSU_TAA_TBL	"rsu_taa.tbl"

//*****************************************************************************************************
//  1. ֐
//		CRsuTaaTbl::SetTbl
//----------------------------------------------------------------------------------------------------
//  2. @\
//		t@Cǂݍݏ
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		bool	TRUEF@FALSEFG[
//*****************************************************************************************************
bool CRsuTaaTbl::SetTbl()
{
	CString sPathName;
	CStdioFile oFile;
	CString sReadBuf;
	CStringArray saTblData;
	RSU_TAA_TBL oRsuTaaTbl;

	// t@CI[v
	sPathName.Format("%s\\%s", gExePath, FN_RSU_TAA_TBL);
	if (!oFile.Open(sPathName, CFile::modeRead | CFile::shareDenyNone))
		return false;

	// wb_ǂݔ΂
	oFile.ReadString(sReadBuf);

	// Pse[uɓǂݍ
	m_aRsuTaaTbl.RemoveAll();
	while (oFile.ReadString(sReadBuf)) {
		CGeneral::StrSplit(sReadBuf, ",", saTblData);
		if (saTblData.GetSize() >= 2) {
			oRsuTaaTbl.nRsuId = atoi(saTblData[0]);
			oRsuTaaTbl.nTaaId = atoi(saTblData[1]);
			m_aRsuTaaTbl.Add(oRsuTaaTbl);
		}
	}

	return true;
}

//*****************************************************************************************************
//  1. ֐
//		CRsuTaaTbl::GetTaaId
//----------------------------------------------------------------------------------------------------
//  2. @\
//		RSU IDTAA ID擾
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		int		nRsuId		[I] RSU ID
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		int		RSU ID
//*****************************************************************************************************
int CRsuTaaTbl::GetTaaId(int nRsuId)
{
	for (int i = 0; i < m_aRsuTaaTbl.GetSize(); i++) {
		if (m_aRsuTaaTbl[i].nRsuId == nRsuId)
			return m_aRsuTaaTbl[i].nTaaId;
	}

	return -1;
}
